---
lang: en
title: 'API docs: pooling.poolingserviceoptions'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/extensions/pooling
permalink: /doc/en/lb4/apidocs.pooling.poolingserviceoptions.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/pooling](./pooling.md) &gt; [PoolingServiceOptions](./pooling.poolingserviceoptions.md)

## PoolingServiceOptions interface

Options to configure a resource pool

**Signature:**

```typescript
export interface PoolingServiceOptions<T> 
```

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [factory](./pooling.poolingserviceoptions.factory.md) |  | [PoolFactory](./pooling.poolfactory.md)<!-- -->&lt;T&gt; \| ((ctx: [Context](./context.context.md)<!-- -->) =&gt; [PoolFactory](./pooling.poolfactory.md)<!-- -->&lt;T&gt;) | A factory to create/destroy/validate resources for the pool or a function to create a factory for the given context |
|  [poolOptions?](./pooling.poolingserviceoptions.pooloptions.md) |  | Options | _(Optional)_ Options for the generic pool |


